## fdflush 1.0.0-12

=== Makefile ===
fdflush: fdflush.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o fdflush $<

install: fdflush fdflush.1
	install -o root -g root -m 755 fdflush $(prefix)/bin/fdflush
	install -o root -g root -m 644 fdflush.1 \
		$(prefix)/usr/man/man8/fdflush.8

clean distclean:
	rm -f fdflush *.o

## fdflush 1.0.0

=== debian/changelog ===
fdflush (1.0.0-4) stable unstable; urgency=LOW

  * Moved to new packaging format

 -- Wichert Akkerman <wakkerma@wi.leidenuniv.nl>  Tue, 24 Sep 1995 23:55:14 +0200

fdflush (1.0.0-3); priority=LOW

  * Revamped debian files
  * new maintainer Wichert Akkerman <wakkerma@wi.leidenuniv.nl>

 -- Wichert Akkerman <wakkerma@wi.leidenuniv.nl>,Mon Jul 29 18:38:06 MET DST 1996

=== debian/control ===
Source: fdflush
Section: base
Priority: Standard
Maintainer: Wichert Akkerman <wakkerma@wi.leidenuniv.nl>
Standards-Version: 2.1.0.0

Package: fdflush
Architecture: any
Description: A disk-flushing program.
  fdflush is a band-aid for floppy (or other) drivers with bad disk-change
  sensing. fdflush makes the system believe the disk-change switch has been
  triggered forcing the system to discard the buffered data.
  .
  If you have one of these slightly-broken disk drives, you'll have to run
  fdflush every time you change a disk

=== debian/rules ===
#! /usr/bin/make -f

# Debian package information
package			= fdflush

# C compiler information
CC				= gcc
CFLAGS			= -O2
LDFLAGS			= -s

all build:
	make CC="$(CC)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	touch stamp-build

clean:
	make $(MFLAGS) distclean
	rm -f stamp-build debian/files debian/substvars
	rm -rf debian/tmp

binary: binary-indep binary-arch

binary-indep:

binary-arch: checkroot
	test -f stamp-build || make $(MFLAGS) -f debian/rules build
	install -d debian/tmp/DEBIAN
	install -o root -g root -m 755 debian/preinst debian/tmp/DEBIAN
	install -d debian/tmp/usr/doc/$(package)
	install -o root -g root -m 644 debian/README \
			debian/tmp/usr/doc/$(package)/copyright
	install -d debian/tmp/bin debian/tmp/usr/man/man8
	install -o root -g root -m 755 fdflush debian/tmp/bin
	install -o root -g root -m 644 fdflush.1 debian/tmp/usr/man/man8/fdflush.8
	dpkg-shlibdeps fdflush
	dpkg-gencontrol
	dpkg --build debian/tmp ..

checkroot:
	test root = "`whoami`"

## fdflush 1.0.0-7

=== debian/changelog ===
fdflush (1.0.0-7) unstable frozen; urgency=low

  * Small path to fix compilation problems fir alpha (Bug#8753)

 -- Wichert Akkerman <wakkerma@debian.org>  Wed, 16 Apr 1997 10:37:32 +0200

fdflush (1.0.0-6) unstable; urgency=LOW

  * Now conforms the policy manual version 2.1.2.2
  * Added included <errno.h> to fdflush.c (Bug# 7662)

 -- Wichert Akkerman <wakkerma@wi.leidenuniv.nl>  Thu, 27 Feb 1997 02:24:47 +0100

fdflush (1.0.0-5) frozen unstable; urgency=LOW

  * Compress manpages

 -- Wichert Akkerman <wakkerma@wi.leidenuniv.nl>  Tue, 12 Nov 1996 21:30:11 +0100

=== debian/rules ===
--- 
+++ 
@@ -28,9 +28,13 @@
 	install -d debian/tmp/usr/doc/$(package)
 	install -o root -g root -m 644 debian/README \
 			debian/tmp/usr/doc/$(package)/copyright
-	install -d debian/tmp/bin debian/tmp/usr/man/man8
+	install -o root -g root -m 644 debian/changelog \
+			debian/tmp/usr/doc/$(package)
+	gzip -9vf debian/tmp/usr/doc/$(package)/changelog
+	install -d debian/tmp/bin debian/tmp/usr/man/man1
 	install -o root -g root -m 755 fdflush debian/tmp/bin
-	install -o root -g root -m 644 fdflush.1 debian/tmp/usr/man/man8/fdflush.8
+	install -o root -g root -m 644 fdflush.1 debian/tmp/usr/man/man1/fdflush.1
+	gzip -9v debian/tmp/usr/man/man1/fdflush.1
 	dpkg-shlibdeps fdflush
 	dpkg-gencontrol
 	dpkg --build debian/tmp ..

## fdflush 1.0.0-12

=== debian/changelog ===
fdflush (1.0.0-12) unstable; urgency=low

  * Fixed extended description (lintian)
  * Refer to correct GPL (lintian)

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 15 Mar 1998 23:11:59 +0100

fdflush (1.0.0-11) unstable; urgency=low

  * Made architecture i386

 -- Wichert Akkerman <wakkerma@debian.org>  Tue,  7 Oct 1997 23:53:12 +0200

fdflush (1.0.0-10) unstable; urgency=low

  * Install correct md5sums (Bug# 13364)
  * Routine update of debian/rules

 -- Wichert Akkerman <wakkerma@debian.org>  Tue, 30 Sep 1997 18:26:12 +0200

fdflush (1.0.0-9) unstable; urgency=low

  * libc6 / glibc2 build (Bug# 11678)

 -- Wichert Akkerman <wakkerma@wi.leidenuniv.nl>  Fri,  1 Aug 1997 00:52:01 +0200

fdflush (1.0.0-8) unstable; urgency=low

  * Added dependencies to control file for libc
  * Added md5sums to .deb file

 -- Wichert Akkerman <wakkerma@debian.org>  Mon, 14 Jul 1997 01:16:03 +0200

=== debian/control ===
Source: fdflush
Section: base
Priority: Standard
Maintainer: Wichert Akkerman <wakkerma@debian.org>
Standards-Version: 2.3.0.0

Package: fdflush
Architecture: i386
Depends: ${shlibs:Depends}
Description: A disk-flushing program.
 fdflush is a band-aid for floppy (or other) drivers with bad disk-change
 sensing. fdflush makes the system believe the disk-change switch has been
 triggered forcing the system to discard the buffered data.
 .
 If you have one of these slightly-broken disk drives, you'll have to run
 fdflush every time you change a disk

=== debian/rules ===
#! /usr/bin/make -f

# Debian package information
package			= fdflush

# C compiler information
CC				= gcc
CFLAGS			= -O2
LDFLAGS			= -s

all build:
	make CC="$(CC)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	touch stamp-build

clean:
	make $(MFLAGS) distclean
	rm -f stamp-build debian/files debian/substvars
	rm -rf debian/tmp

binary: binary-indep binary-arch

binary-indep:

binary-arch: checkroot
	test -f stamp-build || make $(MFLAGS) -f debian/rules build
	-rm -rf debian/tmp

# Install Debian-specific stuff
	install -d debian/tmp/DEBIAN
	install -o root -g root -m 755 debian/preinst debian/tmp/DEBIAN

# Install executable
	install -d debian/tmp/bin
	install -o root -g root -m 755 fdflush debian/tmp/bin

# Install manpages
	install -d debian/tmp/usr/man/man1
	install -o root -g root -m 644 fdflush.1 debian/tmp/usr/man/man1/fdflush.1

# Install everything
	dh_installdocs
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
		
checkroot:
	test root = "`whoami`"

## fdflush 1.0.1-5

=== Makefile ===
bindir=/bin
mandir=/usr/man

fdflush: fdflush.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o fdflush $<

install: fdflush fdflush.1
	install -o root -g root -m 755 fdflush $(prefix)$(bindir)/fdflush
	install -o root -g root -m 644 fdflush.8 $(prefix)$(mandir)/man8/

clean distclean:
	rm -f fdflush *.o

=== debian/changelog ===
fdflush (1.0.1-5) frozen unstable; urgency=low

  * Don't bother to mention NMU which was made 2 days after the bugreport
  * Include documentation and copyright. Closes: Bug# 63089
  * Add -isp to dpkg-gencontrol call (lintian nitpick)
  * Update location of GPL in copyright

 -- Wichert Akkerman <wakkerma@debian.org>  Mon,  1 May 2000 15:50:17 +0200

fdflush (1.0.1-4) unstable; urgency=low

  * Add alpha to architecture-list, Closes: Bug# 43176

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 14 Nov 1999 23:26:36 +0100

fdflush (1.0.1-3) unstable; urgency=low

  * Fix FHS-errors
  * Clean up debian/rules and de-debhelperize it in the process

 -- Wichert Akkerman <wakkerma@debian.org>  Wed,  8 Sep 1999 02:33:47 +0200

fdflush (1.0.1-2) unstable; urgency=low

  * Rebuild with a FHS-compliant debhelper

 -- Wichert Akkerman <wakkerma@debian.org>  Wed,  8 Sep 1999 01:22:11 +0200

fdflush (1.0.1-1) unstable; urgency=low

  * Re-uploaded 1.0.1-1 (within a minute, shouldn't be a problem :)
  * Fix section-number in manpage
  * Bump version-number to reflect changes in Makefile
  * Rename manpage to fdflush.8 in source
  * Fix install-paths in Makefile
  * Switch to FHS-paths
  * Update standards-version to 3.0.0
  * Close filehandle

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 18 Jul 1999 22:13:18 +0200

fdflush (1.0.0-13) unstable; urgency=low

  * Some cleanups in debian/rules
  * Fix layout of manpage
  * Update standards-version to 2.5.0

 -- Wichert Akkerman <wakkerma@debian.org>  Tue,  4 May 1999 01:41:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: fdflush
 Section: base
-Priority: Standard
+Priority: standard
 Maintainer: Wichert Akkerman <wakkerma@debian.org>
-Standards-Version: 2.3.0.0
+Standards-Version: 3.0.1
 
 Package: fdflush
-Architecture: i386
+Architecture: i386 alpha
 Depends: ${shlibs:Depends}
 Description: A disk-flushing program.
  fdflush is a band-aid for floppy (or other) drivers with bad disk-change

=== debian/rules ===
#! /usr/bin/make -f

# Debian package information
package		= fdflush
docdir		= /usr/share/doc/$(package)
tmpdir		= $(shell pwd)/debian/tmp

# C compiler information
CC				= gcc
CFLAGS			= -O2
LDFLAGS			= -s

all build:
	make CC="$(CC)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	touch stamp-build

clean:
	make $(MFLAGS) distclean
	rm -f stamp-build debian/files debian/substvars
	rm -rf debian/tmp

binary: binary-indep binary-arch

binary-indep:

binary-arch: checkroot
	-rm -rf debian/tmp debian/{files,substvars}
	test -f stamp-build || make $(MFLAGS) -f debian/rules build

# Install executable
	install -d -o root -g root -m 755 $(tmpdir)/bin
	install -p -o root -g root -m 755 fdflush $(tmpdir)/bin/
	strip --remove-section=.comment --remove-section=.note \
		--strip-unneeded $(tmpdir)/bin/fdflush

# Install manpages
	install -d -o root -g root -m 755 $(tmpdir)/usr/share/man/man8
	install -p -o root -g root -m 644 fdflush.8 $(tmpdir)/usr/share/man/man8/
	gzip -9 $(tmpdir)/usr/share/man/man8/*

# Install other documentation
	install -d -o root -g root -m 755 $(tmpdir)$(docdir)
	install -p -o root -g root -m 644 debian/changelog $(tmpdir)$(docdir)
	gzip -9 $(tmpdir)$(docdir)/*
	install -p -o root -g root -m 644 debian/copyright $(tmpdir)$(docdir)

# Install Debian-specific stuff
	install -d -o root -g root -m 755 $(tmpdir)/DEBIAN
	install -p -o root -g root -m 755 debian/preinst $(tmpdir)/DEBIAN
	install -p -o root -g root -m 755 debian/postinst $(tmpdir)/DEBIAN
	install -p -o root -g root -m 755 debian/prerm $(tmpdir)/DEBIAN

# Build the package
	dpkg-shlibdeps debian/tmp/bin/fdflush
	dpkg-gencontrol -isp
	dpkg --build debian/tmp ..

checkroot:
    test root = "`whoami`"

## fdflush 1.0.1.1

=== debian/changelog ===
fdflush (1.0.1.1) unstable; urgency=low

  * Convert to native version numbering scheme
    - it always was a native package anyway...
    - the last update should have been a version uptick anyway
  * Change Architecture: to "any".
    - Closes: #252774

 -- Matthias Urlichs <smurf@debian.org>  Sat,  5 Jun 2004 06:51:54 +0200

fdflush (1.0.1-11) unstable; urgency=low

  * Updated maintainer email.
  * Directly specify ioctl number; don't require kernel headers.
  * Exit code now depends on type of failure.
  * Use both ioctls (BLKFLSBUF and FDFLUSH) for safety.
  * Try to open the device read/write first.
  * Updated Standards-Version: to 3.6.1 (no changes).

 -- Smurf <smurf@debian.org>  Fri, 19 Sep 2003 11:00:48 +0200

fdflush (1.0.1-10) unstable; urgency=low

  * Replace "drivers" => "drives" in the package description
    (closes: #146822)

 -- Matthias Urlichs <smurf@noris.de>  30 Mar 2003 09:01:01 +0200

fdflush (1.0.1-9) unstable; urgency=low

  * Use prototypes for strerror() and ioctl()
    (closes: #124355)

 -- Matthias Urlichs <smurf@noris.de>  30 Mar 2003 08:57:04 +0200

fdflush (1.0.1-8) unstable; urgency=low

  * New maintainer (closes: #170920)

 -- Matthias Urlichs <smurf@noris.de>  30 Mar 2003 08:56:51 +0200

fdflush (1.0.1-7) unstable; urgency=low

  * Change section to utils
  * Make up for not making an upload last year by doing a second one this year

 -- Wichert Akkerman <wakkerma@debian.org>  Fri, 10 May 2002 18:21:55 +0200

fdflush (1.0.1-6) frozen unstable; urgency=low

  * Change priority to optional. Closes: Bug#143160

 -- Wichert Akkerman <wakkerma@debian.org>  Fri, 10 May 2002 17:45:39 +0200

=== debian/control ===
Source: fdflush
Section: utils
Priority: optional
Maintainer: Matthias Urlichs <smurf@debian.org>
Standards-Version: 3.6.1

Package: fdflush
Architecture: any
Depends: ${shlibs:Depends}
Description: Flush out-of-date disk buffers
 fdflush is a band-aid for floppy (or other) drives with bad disk-change
 sensing. fdflush makes the system believe the disk-change switch has been
 triggered forcing the system to discard the buffered data.
 .
 If you have one of these slightly-broken disk drives, you'll have to run
 fdflush every time you change a disk.
 .
 fdflush is useful for computers which might be sleeping when you change
 floppies or other removeable media.
 .
 The command "floppycontrol -f" does the same thing, but the
 fdutils package is significantly larger; it only uses the
 floppy-specific flush ioctl.
 .
 The command "blockdev --flushbufs" only uses the generic flush ioctl.

=== debian/rules ===
#! /usr/bin/make -f

# Debian package information
package		= fdflush
docdir		= /usr/share/doc/$(package)
tmpdir		= $(shell pwd)/debian/tmp

# C compiler information
CC=gcc
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

INSTALL_PROGRAM=install
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
INSTALL_PROGRAM += -s
endif


all build:
	${MAKE} CC="$(CC)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	touch stamp-build

clean:
	${MAKE} distclean
	rm -f stamp-build debian/files debian/substvars
	rm -rf debian/tmp

binary: binary-indep binary-arch

binary-indep:

binary-arch: checkroot
	-rm -rf debian/tmp debian/{files,substvars}
	test -f stamp-build || ${MAKE} -f debian/rules build

# Install executable
	install -d -o root -g root -m 755 $(tmpdir)/bin
	${INSTALL_PROGRAM} -p -o root -g root -m 755 fdflush $(tmpdir)/bin/

# Install manpages
	install -d -o root -g root -m 755 $(tmpdir)/usr/share/man/man8
	install -p -o root -g root -m 644 fdflush.8 $(tmpdir)/usr/share/man/man8/
	gzip -9 $(tmpdir)/usr/share/man/man8/*

# Install other documentation
	install -d -o root -g root -m 755 $(tmpdir)$(docdir)
	install -p -o root -g root -m 644 debian/changelog $(tmpdir)$(docdir)/changelog.Debian
	gzip -9 $(tmpdir)$(docdir)/*
	install -p -o root -g root -m 644 debian/copyright $(tmpdir)$(docdir)

# Build the package
	mkdir -p debian/tmp/DEBIAN
	dpkg-shlibdeps debian/tmp/bin/fdflush
	dpkg-gencontrol -isp
	dpkg --build debian/tmp ..

checkroot:
    test root = "`whoami`"

## fdflush 1.0.1.2

=== debian/changelog ===
fdflush (1.0.1.2) unstable; urgency=low

  * QA upload.
  * Package is orphaned (#429468); set maintainer to Debian QA Group.
  * Switch to debhelper.
  * Fix typo in description.  Closes: #363405.
  * Conforms to Standards version 3.7.2.

 -- Matej Vela <vela@debian.org>  Mon, 09 Jul 2007 05:45:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: fdflush
 Section: utils
 Priority: optional
-Maintainer: Matthias Urlichs <smurf@debian.org>
-Standards-Version: 3.6.1
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Standards-Version: 3.7.2
+Build-Depends: debhelper (>= 5)
 
 Package: fdflush
 Architecture: any
@@ -16,7 +17,7 @@
  fdflush every time you change a disk.
  .
  fdflush is useful for computers which might be sleeping when you change
- floppies or other removeable media.
+ floppies or other removable media.
  .
  The command "floppycontrol -f" does the same thing, but the
  fdutils package is significantly larger; it only uses the

## fdflush 1.0.1.3

=== debian/changelog ===
fdflush (1.0.1.3) unstable; urgency=low

  * New maintainer. Closes: #429468
  * Conforms to Standards version 3.8.0.

 -- Diego Fernández Durán <diego@goedi.net>  Mon, 28 Jul 2008 23:41:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: fdflush
 Section: utils
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 3.7.2
+Maintainer: Diego Fernández Durán <diego@goedi.net>
+Standards-Version: 3.8.0
 Build-Depends: debhelper (>= 5)
 
 Package: fdflush

## fdflush 1.0.1.3build1

=== Makefile ===
bindir=/bin
mandir=/usr/share/man

fdflush: fdflush.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o fdflush $<

install: fdflush fdflush.8
	install -D -o root -g root -m 755 fdflush $(DESTDIR)$(bindir)/fdflush
	install -D -o root -g root -m 644 fdflush.8 $(DESTDIR)$(mandir)/man8/fdflush.8

clean distclean:
	rm -f fdflush *.o

=== debian/changelog ===
fdflush (1.0.1.3build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:22:34 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fdflush
 Section: utils
 Priority: optional
-Maintainer: Diego Fernández Durán <diego@goedi.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Diego Fernández Durán <diego@goedi.net>
 Standards-Version: 3.8.0
 Build-Depends: debhelper (>= 5)

=== debian/rules ===
#!/usr/bin/make -f
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE) CFLAGS="$(CFLAGS)"

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/fdflush install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
